

package fmi.ipj.proxy;


import java.net.ServerSocket;
import java.net.Socket;


public class HTTPProxy
{
	private static int aProxyPort 			= -1;
	
	private ServerSocket aoProxyListener 	= null;
	
	
	public HTTPProxy( int pProxyPort )
	{
		aProxyPort 	= pProxyPort;
		
		try
		{
			aoProxyListener = new ServerSocket( aProxyPort );
			System.out.println( "Proxy listen on port " + aProxyPort + " ..." );
		}
		catch( java.io.IOException ioe )
		{
			System.out.println( "Port " + aProxyPort + " already in use. Server can not started." );
			System.exit( 1 );
		}
		
		startServer();
	}
	
	public void startServer()
	{
		while ( true )
		{
			try
			{
				Socket lClient = aoProxyListener.accept();
				new Thread( new HTTPProxyThread( lClient ) ).start();
			}
			catch( java.io.IOException ioe )
			{
				ioe.printStackTrace();
			}
		}
	}
	
	public static void main( String args[] )
	{
//		if ( args.length != 1 )
//		{
//			System.out.println( "You must enter port where HTTPProxy listen!" );
//			System.exit( 1 );
//		}
//		
//		int lProxyPort = -1;
//		
//		try
//		{
//			lProxyPort = Integer.parseInt( args[0] );
//		}
//		catch( NumberFormatException nfe )
//		{
//			System.out.println( "Port of proxy must be integer!" );
//			System.exit( 1 );
//		}
//		
//		new HTTPProxy( lProxyPort );
		new HTTPProxy( 3128 );
	}
}
