

package fmi.ipj.proxy.request;


import java.io.InputStream;


public class HTTPRequestProcessor
{
	HTTPRequestParser aoRequestParser		= new HTTPRequestParser();
	HTTPRequestValidater aoRequestValidater = new HTTPRequestValidater();
	
	public HTTPRequest getHTTPRequest( InputStream poClientIS )
		throws fmi.ipj.proxy.request.InvalidRequestException, fmi.ipj.proxy.request.ValidateRequestException
	{
		//Parse HTTP request ...
		HTTPRequest loHTTPRequest = aoRequestParser.getHTTPRequest( poClientIS );

		//Validate HTTP request ...
		aoRequestValidater.validateHTTPRequest( loHTTPRequest );
		
		return loHTTPRequest;
	}
}
