

package fmi.ipj.proxy.request;


import fmi.ipj.proxy.constants.Constants;


public class HTTPRequestValidater
{
	public void validateHTTPRequest( HTTPRequest poHTTPRequest ) throws fmi.ipj.proxy.request.ValidateRequestException
	{
		String loRequestName 	= poHTTPRequest.getRequestName();
		String loHostName 		= poHTTPRequest.getHost();
		
		if ( !Constants.GET_REQUEST_NAME.toUpperCase().equals( loRequestName ) )
		{
			throw new ValidateRequestException( this, Constants.UNSUPPORTED_QUERY_NAME );
		}

		if ( !Constants.isHostAllowed( loHostName ) )
		{
			throw new ValidateRequestException( this, Constants.HOST_SUFFIX_NOT_ALLOWED );
		}		
	}
}
