import java.net.ServerSocket;
import java.net.Socket;
import java.io.IOException;

/**
 * User: mike
 * Date: Mar 24, 2002
 * Time: 2:21:58 PM
 *
 * MikesWebServer
 *
 * Before compiling and running:
 * 1) set server root directory to "rootDir" variable (in ServerThread.java)
 * 2) copy directory "icons" to the server root directory
 */

public class MikesWebServer {
    private ServerSocket ss = null;
    public  int port        = 80;

    public MikesWebServer(int port) {
        this.port = port;
    }

    public static void main(String[] args) {
        MikesWebServer server   = new MikesWebServer(80);
        Socket sock     = null;
        try {
            server.ss   = new ServerSocket(server.port);
            while(true) {
                new ServerThread(sock = server.ss.accept());
                System.out.println(sock.toString());
            }
        } catch (IOException ioe) {
            ioe.printStackTrace();
            System.out.println(ioe.getMessage());
        }
    }
}
