
//Title:        Simple Mail  Server, 2002, Inet-Java
//Version:      
//Copyright:    Copyright (c) 1999
//Author:       Vasil Karpachev
//Company:      fmi
//Description:  This project is for the Internet Programming in Java, 
//for the summer semester of the 2002 year.
//It should implement both POP3 on 110 port
//and SMTP on 25 port with the subset of 
//the commands in the above mentioned protocols.
//Its aim is to exercise java.net.* and java.lang.Thread
package SimpleMailServer;
import java.util.Vector;

/**
  * Represents a single mail message.
  *
  * A mail message is a Vector of Strings
  */
class SMSMessage
{
	/** size in bytes(octets) */
	protected 	int m_size= 0;

      /** array of Strings representing the mail message */
	protected   Vector    m_data= new Vector();

      /** delets the messages */
      void clearMessage()
      { m_data.clear(); m_size= 0; }

      /** adds a String to the current message */
      void appendLine( String line)
	{
      	if (line.equals(".")) return;

            m_size+= line.length();
            m_data.addElement(line);
      }

      /** returns the message - array of Strings */
      Vector getMessage() { return m_data; }
      /** returns the size in bytes of the message,
        * i.e. number of characters in the message.
        */
      int getSizeOctets() { return m_size; }

      public String toString()
      {
		return m_data.toString();
      }
}
