

package fmi.ipj.proxy.response;


import java.util.Hashtable;
import java.util.Enumeration;

import fmi.ipj.proxy.constants.Constants;


public class HTTPResponse
{
	private String aoProtocol			= Constants.DEFAULT_PROTOCOL;
	private String aoProtocolVersion 	= Constants.DEFAULT_PROTOCOL_VERSION;
	private String aoCode 				= Constants.DEFAULT_RESPONSE_CODE;
	private String aoMessage 			= Constants.DEFAULT_MESSAGE;
	private String aoData				= Constants.EMPTY_VALUE;

	private Hashtable aoProperties 		= new Hashtable();


	public String getProtocol()
	{
		return aoProtocol;
	}


	public void setProtocol( String poProtocol )
	{
		aoProtocol = poProtocol;
	}


	public String getProtocolVersion()
	{
		return aoProtocolVersion;
	}


	public void setProtocolVersion( String poProtocolVersion )
	{
		aoProtocolVersion = poProtocolVersion;
	}


	public String getCode()
	{
		return aoCode;
	}


	public void setCode( String poCode )
	{
		aoCode = poCode;
	}


	public String getMessage()
	{
		return aoMessage;
	}


	public void setMessage( String poMessage )
	{
		aoMessage = poMessage;
	}


	public String getData()
	{
		return aoData;
	}


	public void setData( String poData )
	{
		aoData = poData;
	}


	public void addProperty( String poKey, String poValue )
	{
		aoProperties.put( poKey, poValue );
	}

	
	public String toString()
	{
		String loString = Constants.EMPTY_VALUE;
		loString += aoProtocol + Constants.PROTOCOL_VERSION_SEPARATER;
		loString += aoProtocolVersion + Constants.SPACE;
		loString += aoCode + Constants.SPACE + aoMessage;
		loString += Constants.NEW_LINE;
		loString += Constants.NEW_LINE;		

		Enumeration lEnum = aoProperties.keys();
		while ( lEnum.hasMoreElements() )
		{
			String lTempKey 	= ( String )lEnum.nextElement();
			String lTempValue 	= ( String )aoProperties.get( lTempKey );
			
			loString += lTempKey + Constants.KEY_VALUE_SEPARATER + lTempValue;
			loString += Constants.NEW_LINE;			
		}
		
		loString += aoData;		
		
		return loString;
	}
}

					  