package smtp_and_pop3;

/**
 * <p>Title: inet java 1.4</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Milena Iordanova
 * @version 1.0
 */
import smtp_and_pop3.*;

public class AppClass extends Thread {

  public static AppClass appClass1;

  private POP3Server m_POP3;
  private SMTPServer m_SMTP;
  public MailBoxManager m_MailBoxManager;


  /**
   * Creates the POP3 and SMTP servers, as well as the Mailbox Manager,
   * and then adds the three common users
   * @throws IOException
   */
  public AppClass() throws java.io.IOException {
    m_POP3 = new POP3Server();
    m_SMTP = new SMTPServer();

    m_MailBoxManager = new MailBoxManager();
    m_MailBoxManager.AddUser("user1", "user1");
    m_MailBoxManager.AddUser("user2", "user2");
    m_MailBoxManager.AddUser("user3", "user3");
  }

  /**
   * Starts the POP3 and SMTP servers
   */
  private void Listen() {
    m_POP3.start();
    m_SMTP.start();
  }

  public static void main(String[] args) {
    try {
      appClass1 = new AppClass();
      appClass1.Listen();
    }
    catch(java.io.IOException e) {
    }
  }
}