package inetjava_project_1_3;

/**
 * <p>Title: Simple web proxy</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Stoyan Iordanov
 * @version 1.0
 */

import inetjava_project_1_3.*;
import java.net.*;

public class ServerClass {
  private ServerSocket m_ServerSocket;

  public ServerClass() throws java.io.IOException {
    m_ServerSocket = new ServerSocket(3128);
  }

  /**
   * Listens for new connections.
   * @throws IOException
   */
  public void Listen() throws java.io.IOException {
    while(true) {
      Socket s = m_ServerSocket.accept();

      ProxyInstance pi = new ProxyInstance(s);
      pi.start();
    }
  }

  public static void main(String[] args) {
    try {
      ServerClass serverClass1 = new ServerClass();
      serverClass1.Listen();
    }
    catch(Exception e) {
    }
  }
}