package SimpleMailServer;

/**
  *  Contains the main() method. Starts SMTP & POP3
  *  servers.
  *
  *  Change static constants to modify global
  *  behaiviour.
  */
public class SMSMain {
	/**
        * Set to false if you do not want
        * debug messages.
        *
        * @see  SMSMessageTracer, which is responsible
        * 	for printing debug messages.
        */
	final static boolean _DEBUG = true;

      /** change this constants to listen to different port*/
      final static int POP3_PORT= 111;
      /** change this constants to listen to different port*/
      final static int SMTP_PORT= 26;

      /** INBOX for user1 */
      final static SMSMailDrop user1_BOX= new SMSMailDrop();
      /** INBOX for user2 */
      final static SMSMailDrop user2_BOX= new SMSMailDrop();
      /** INBOX for user3 */
      final static SMSMailDrop user3_BOX= new SMSMailDrop();

      /**
        * user-name/password to check for. If you want
        * additional user, add it here(add new INBOX too)
        */
      final static String Users[]= {"user1", "user2", "user3"};


	public static void main(String[] args) {
           // start POP3 server
           SMSpop3Server pop3_server= new  SMSpop3Server();
           pop3_server.start();

           // start SMTP server
           SMSsmtpServer smtp_server= new SMSsmtpServer();
           smtp_server.start();

	}

}